/*  YAC: Yet Another Caller ID Program
 *  Copyright (C) 2002 Jensen Harris (jensen@sunflowerhead.com)
 *  http://www.sunflowerhead.com
 *
 *  YAC is free software; you can redistribute it and/or modify it under the
 *  terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2 of the License, or (at your option) any
 *  later version.
 *
 *  YAC is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with YAC; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  File: DevicesDlg.c
 *  This file contains code to display the Select Modem dialog, which allows
 *  the user to choose which modem to use with YAC.
 */

#include "yac.h"

INT_PTR CALLBACK DevicesDialogProc(HWND hwndDlg, UINT msg, WPARAM wparam, LPARAM lparam)
{
	INT_PTR nSel;
	HWND hwndListBox;
	YACINFO *yi;

	GetYACInfoStruct(&yi);

	switch (msg)
	{
	case WM_INITDIALOG:
		InitDevicesDialog(hwndDlg, yi);
		break;

	case WM_COMMAND:
		switch (LOWORD(wparam))
        {
		case IDOK:
			hwndListBox = GetDlgItem(hwndDlg, IDC_DEVICES);
			nSel = SendMessage(hwndListBox, LB_GETCURSEL, 0, 0);

			if (BST_CHECKED == IsDlgButtonChecked(hwndDlg, IDC_ALWAYSUSE))
				nSel += 1000;

			yi->fDevicesDlgShowing = FALSE;
			EndDialog(hwndDlg, nSel);
			return TRUE;
		}
	}

	return FALSE;
}


void InitDevicesDialog(HWND hwnd, YACINFO *yi)
{
	DWORD dwDev;
	HWND hwndListBox;
	int nPos;

	nPos = 0;
	hwndListBox = GetDlgItem(hwnd, IDC_DEVICES);

	for (dwDev = 0; dwDev < yi->dwNumDevs; dwDev++)
	{
		if (yi->DevInfo[dwDev].szDevice[0] != '\0')
		{
			SendMessage(hwndListBox, LB_INSERTSTRING, -1,
				(LPARAM)yi->DevInfo[dwDev].szDevice);

			yi->DevInfo[dwDev].nListBoxID = nPos;
			nPos++;
		}
		else
		{
			yi->DevInfo[dwDev].nListBoxID = -1;
		}
	}

	SendMessage(hwndListBox, LB_SETCURSEL, 0, 0);
}