/*  YAC: Yet Another Caller ID Program
 *  Copyright (C) 2002 Jensen Harris (jensen@sunflowerhead.com)
 *  http://www.sunflowerhead.com
 *
 *  YAC is free software; you can redistribute it and/or modify it under the
 *  terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2 of the License, or (at your option) any
 *  later version.
 *
 *  YAC is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with YAC; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  File: SendText.c
 *  This file contains the code which handles the Send Text Message dialog box
 *  and associated functionality.
 */

#include "yac.h"

INT_PTR CALLBACK SendTextDialogProc(HWND hwndDlg, UINT msg, WPARAM wparam, LPARAM lparam)
{
	YACINFO *yi;

	GetYACInfoStruct(&yi);

	switch (msg)
	{
	case WM_INITDIALOG:
		SendMessage(GetDlgItem(hwndDlg, IDC_EDITTEXT), EM_LIMITTEXT,
			MSG_LIMIT_CHARS, 0);

		SetFocus(GetDlgItem(hwndDlg, IDC_EDITTEXT));
		return 0;

	case WM_COMMAND:
		switch (LOWORD(wparam))
        {
		case IDOK:
			SendText(hwndDlg, yi);

		// Intentional fallthrough
		case IDCANCEL:
			yi->fSendTextDlgShowing = FALSE;
			EndDialog(hwndDlg, TRUE);
			return TRUE;

		}
		break;
	}

	return FALSE;
}


void SendText(HWND hwnd, YACINFO *yi)
{
	HWND hwndEdit;

	hwndEdit = GetDlgItem(hwnd, IDC_EDITTEXT);
	GetWindowText(hwndEdit, yi->szString, MAX_CHAR_SENT);

	if (yi->szString[0] != '\0')
	{
		yi->szString[MSG_LIMIT_CHARS] = '\0';
		SendNotificationString(yi);
	}
}